Main Page Modules Data Structures File List Data Fields Globals Related Pages

# tools/rpmheader.c File Reference

`#include "system.h"`
`#include <rpmlib.h>`
`#include "rpmlead.h"`
`#include "signature.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions

int | main (int argc, char **argv)

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |

| Definition at line 10 of file rpmheader.c. References EXIT_FAILURE, Ferror, Fopen, Fstrerror, HEADER_MAGIC_NO, HEADER_MAGIC_YES, headerRead, headerWrite, readLead, rpmReadSignature, and setprogname.